Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.spi.swt.table
Interface ECPCellEditorTester

All Known Implementing Classes:
  BooleanCellEditorTester, DateCellEditorTester, LinkCellEditorTester, NumberCellEditorTester, StringCellEditorTester, XmlDateCellEditorTester

    public interface ECPCellEditorTester

This interface defines a `isApplicable(EObject, EStructuralFeature, ViewModelContext)` method which is used to determine the priority of a celleditor. The celleditor with the highest priority for a combination of an `EObject` and a feature will be used.

Since:
  1.5
Author:
  Eugen Neufeld

Field Summary
`static int` | `NOT_APPLICABLE` Return this whenever the renderer should not be used for the tested `ViewModelContext`.

Method Summary
`int` | `isApplicable(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature, ViewModelContext viewModelContext)` Returns the priority of the corresponding celleditor for the combination of the `EObject` and the `EStructuralFeature`.

Field Detail

### NOT_APPLICABLE

    static final int NOT_APPLICABLE

  Return this whenever the renderer should not be used for the tested `ViewModelContext`.

  See Also:
    Constant Field Values

Method Detail

### isApplicable

    int isApplicable(org.eclipse.emf.ecore.EObject eObject,
                     org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature,
                     ViewModelContext viewModelContext)

  Returns the priority of the corresponding celleditor for the combination of the `EObject` and the `EStructuralFeature`.

  Parameters:
    `eStructuralFeature` - the `EStructuralFeature` to test
    `eObject` - the `EObject` to test
    `viewModelContext` - the `ViewModelContext` to check
  Returns:
    `NOT_APPLICABLE` if the corresponding celleditor should not be used, a positive integer value otherwise. The celleditor with the highest priority will be taken.
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.